/*
 * Class EV_NOTEBOOK_TAB_I
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1286 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1286 [] = {0xFF01,1551,1285,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1286 [] = {0xFF01,1285,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1286 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1286 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1286 [] = {0xFF01,1285,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1286 [] = {0xFF01,1285,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1286 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1286 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1286 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1286 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1286 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1286 [] = {0xFF01,1285,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1286 [] = {0xFF01,0xFF01,1122,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1286 [] = {0xFF01,924,0xFFFF};


static const struct desc_info desc_1286[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1286), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1286), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1286), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1286), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1286), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1286), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1286), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1286), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1286), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1286), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1286), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1286), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0A0B /*1285*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1286), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26577, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26579, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1286), 26580, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x08C5 /*1122*/), 28364, 0},
	{EIF_NON_GENERIC(0x069B /*845*/), 26582, 12},
	{EIF_NON_GENERIC(0x069B /*845*/), 26583, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26584, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26585, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26586, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26587, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26588, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26589, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26590, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26591, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26592, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26593, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26594, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26595, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26596, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26597, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26598, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26599, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26600, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x083B /*1053*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27234, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27078, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 28362, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28363, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x07F9 /*1020*/), 28359, 4},
	{EIF_NON_GENERIC(0x07E5 /*1010*/), 28360, 8},
	{EIF_GENERIC(NULL), 28361, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1286), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
};
void Init1286(void)
{
	IDSC(desc_1286, 0, 1285);
	IDSC(desc_1286 + 1, 1, 1285);
	IDSC(desc_1286 + 32, 1513, 1285);
	IDSC(desc_1286 + 59, 833, 1285);
	IDSC(desc_1286 + 63, 483, 1285);
	IDSC(desc_1286 + 66, 673, 1285);
	IDSC(desc_1286 + 69, 1077, 1285);
}


#ifdef __cplusplus
}
#endif
